package com.khmer9.lotto.util

import android.content.Context
import android.util.AttributeSet
import androidx.core.content.res.ResourcesCompat
import com.google.android.material.textfield.TextInputEditText
import com.khmer9.lotto.R

class MaterialEditTextBTB : TextInputEditText {
    constructor(context: Context) : super(context)
    constructor(context: Context, attributeSet: AttributeSet) : super(context, attributeSet)
    constructor(context: Context, attributeSet: AttributeSet, defStyleAttr: Int) : super(
        context,
        attributeSet,
        defStyleAttr
    )

    init {
        setTypeface(ResourcesCompat.getFont(context, R.font.kh_battambang), typeface?.style ?: 0)
    }
}